﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BindingValues.Controllers;
using Microsoft.Practices.Unity;
using Model;

namespace BindingValues {
    public static class BootStrapper {
        
        public static readonly UnityContainer Container = new UnityContainer();
        
        public static void SetupContainer()
        {
            Container.RegisterType<ICustomerController, CustomerController>();
            Container.RegisterType<ICustomerServices, CustomerServices>();
            Container.RegisterType<ICustomerDAO, CustomerDAO>();    
        }
    }
}
