using System;
using System.Web.Mvc;

namespace BindingValues
{
    internal class UnityControllerFactory : DefaultControllerFactory
    { 
        protected override IController GetControllerInstance(Type controllerType)
        {
            if (controllerType != null)
            {   
                return BootStrapper.Container.Resolve(controllerType) as IController;
            }
            return null;
        }
    }
}