using System.Collections.Generic;

namespace Model
{
    public interface ICustomerDAO
    {
        Customer Save(Customer customer);
        Customer GetCustomerById(int id);
        IList<Customer> GetCustomers(ListOrder order);
        IList<Customer> GetCustomers();
        IList<Customer> GetCustomersByName(string name);
        IList<FlatCustomer> GetFlatCustomers();
        int GetCustomerCount();
    }
}