﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using Model;

namespace BindingValues.Controllers {
    public class CustomerController : Controller, ICustomerController
    {
        private readonly ICustomerServices _customerServices;

        public CustomerController(ICustomerServices customerServices)
        {
            _customerServices = customerServices;            
        }


        public ActionResult Index() {

            return View();    
        }


        public ActionResult List()
        {

            return View(_customerServices.GetCustomers());
        }

    }
}
