﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;

namespace BindingValues.Controllers {
    [HandleError]
    public class HomeController : Controller {
        public ActionResult Index() {
            ViewData["Title"] = "Home Page";
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About() {
            ViewData["Title"] = "About Page";

            return View();
        }

        public ContentResult RenderParam(string param)
        {
            return new ContentResult() {ContentType = "text/html", Content = "<html><body>" + param + "</body></html>"};

        }
    }
}
