﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Model;

namespace Ajax.Controllers {
    [HandleError]
    public class HomeController : Controller {
        public ActionResult Index() {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About() {
            return View();
        }

        public ContentResult GetCustomer(int id)
        {
            CustomerServices customerServices = new CustomerServices(new CustomerDAO());

            Customer customer = customerServices.GetCustomerById(id);

            return new ContentResult()
                       {
                           ContentType = "text/plain",
                           Content =
                               String.Format("Name: {0}<br/>Surname: {1}", customer.Name.NameFirst, customer.Name.NameLast)
                       };
        }
    }
}
