using System.Collections.Generic;

namespace Model
{
    public interface ICustomerServices
    {
        Customer Save(Customer customer);
        IList<Customer> GetCustomers();
        IList<Customer> GetCustomers(ListOrder order);
        Customer GetCustomerById(int id);
        IList<Customer> GetCustomersByName(string name);
        IList<FlatCustomer> GetFlatCustomer();
    }

    public enum ListOrder
    {
        Asc,
        Desc
    }
}